<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .cell {
            border: 1px solid black;
            width: 15px;
            height: 15px;
            background-color: white;
        }

        .cell.active {
            background-color: black;
        }
    </style>
</head>

<body>


</body>

<script>
    const body = document.querySelector('body')
    const columns = []
    const rows = []
    columns.length = 30
    rows.length = 30
    columns.fill(`<tr>${rows.fill('<td class="cell"></td>').join('')}</tr>`)
    body.insertAdjacentHTML('beforeend', `<table class='table'>${columns.join('')}</table>`)
    const table = document.querySelector('.table')
    table.addEventListener('click', function ({ target }) {
        target.classList.toggle('active')
    })
    body.addEventListener('click', function ({ target }) {
        const cells = document.querySelectorAll('.cell')
        console.log(target)
        cells.forEach(cell => {
            if (target === body && target !== cell) {
                cell.classList.toggle('active')
            }
        })
    })

</script>

</html>